Oracle版本对应匹配的ojdbc版本及JDK版本

本文最后更新于:4 个月前

Oracle JDBC 版本与 JDK 版本的关系如何?
Oracle JDBC 驱动程序始终与每一个新版本中的最新 JDK 版本相兼容。在某些版本中,JDBC 驱动程序支持多个 JDK 版本。请使用下表根据您的首选 JDK 版本选择正确的 JDBC 驱动程序。

Oracle 数据库版本 特定于发行版的 JDBC Jar 文件
21.1 ojdbc11.jar,随带 JDK11、JDK12、JDK13、JDK14 和 JDK15;ojdbc8.jar ,随带 JDK8、JDK11、JDK12、JDK13、JDK14 和 JDK15
19.x ojdbc10.jar,随带 JDK10 和 JDK11;ojdbc8.jar,随带 JDK8、JDK9 和 JDK11
18.3 ojdbc8.jar,随带 JDK8、JDK9、JDK10 和 JDK11
12.2 或 12cR2 ojdbc8.jar,随带 JDK8
12.1 或 12cR1 ojdbc7.jar with JDK 7 and JDK 8;ojdbc6.jar,随带 JDK 6
11.2 或 11gR2 ojdbc6.jar,随带 JDK 6、JDK 7 和 JDK 8;(注意:仅 11.2.0.3 和 11.2.0.4 支持 JDK7 和 JDK8);ojdbc5.jar,随带 JDK 5

oracle常见问题

封面

女孩


Oracle版本对应匹配的ojdbc版本及JDK版本
https://wangijun.com/2022/04/02/java-12/
作者
无良芳
发布于
2022年4月2日
许可协议